gnutls_certificate_set_x509_system_trust(3)

NAME
gnutls_certificate_set_x509_system_trust - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_set_x509_system_trust(gnutls_certificate_credentials_t cred);

ARGUMENTS

gnutls_certificate_credentials_t       cred
    is a gnutls_certificate_credentials_t structure.

DESCRIPTION
This function adds the system's default trusted CAs in order to verify client or server certificates. In the case the system is currently unsupported GNUTLS_E_UNIMPLEMENTED_FEATURE is returned.

RETURNS
the number of certificates processed or a negative error code on error.

SINCE
3.0.20

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/